# $Revision: 1.18 $, $Date: 2004/06/02 08:19:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Schedule
%define	pnam	Load
Summary:	Schedule::Load - load distribution and status across multiple host machines
Summary(pl):	Schedule::Load - rozkadanie i badanie obcienia dla wielu maszyn
Name:		perl-Schedule-Load
Version:	2.102
Release:	3
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a63ef8d71bc7db34654b48aee0d12467
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Proc-ProcessTable
BuildRequires:	perl-Unix-Processors >= 1.7
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides useful utilities for load distribution and
status across multiple machines in a network. To just see what is up
in the network, see the rschedule or rtop, rloads or rhosts commands.

%description -l pl
Ten pakiet udostpnia przydatne narzdzia do rozkadania obcienia i
jego badania na wielu maszynach w sieci. Aby zobaczy co si dzieje w
sieci, wystarczy popatrze na polecenia rschedule, rtop, rloads i
rhosts.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

find -type f -perm +100 | xargs perl -pi -e 's,/usr/local/bin/perl,/usr/bin/perl,'

%if %{with tests}
%{__make} test
killall slreportd || true
killall slchoosed || true
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorlib}/Schedule/*.pm
%{perl_vendorlib}/Schedule/Load
%dir %{perl_vendorlib}/auto/Schedule/Load
%dir %{perl_vendorlib}/auto/Schedule/Load/Hosts
# empty autosplit.ix files
#%dir %{perl_vendorlib}/auto/Schedule/Load/Hosts/Host
#%%{perl_vendorlib}/auto/Schedule/Load/Hosts/Host/autosplit.ix
#%dir %{perl_vendorlib}/auto/Schedule/Load/Hosts/Proc
#%%{perl_vendorlib}/auto/Schedule/Load/Hosts/Proc/autosplit.ix
%{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Schedule-Load.spec,v $
Revision 1.18  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.17  2004/05/06 18:21:00  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.15  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.14  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 20:46:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/28 10:08:31  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:38:05  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/28 15:48:08  ankry
- version 2.102, removed empty autosplit.ix

Revision 1.4  2002/09/18 21:31:32  ankry
- typo(s)

Revision 1.3  2002/09/18 21:04:57  ankry
- added autosplit.ix files
- release 2

Revision 1.2  2002/08/31 15:58:52  qboosh
- pl description

Revision 1.1  2002/08/31 09:51:39  radek
- new, STBR
